<template>
<div class="desktop-bar">
  <Login />
  <span class="flex-span"></span>
  <div class="router-bar">
    <router-link v-for="btn in routerButtons" :key="btn.title"
      class="desktop-bar-btn" :to="btn.to">
        {{btn.title}}
    </router-link>
  </div>
  <span class="sepLine"></span>
  <div class="router-bar">
    <router-link class="desktop-bar-btn" to="/home">
      עמוד הבית
    </router-link>
  </div>
  <span class="sepLine"></span>
  <div class="link-bar">
    <a v-for="btn in linkButtons" :key="btn"
    class="desktop-bar-btn popup-link" :href="btn.link" target="_blank">
      {{btn.title}}
    </a>
  </div>
</div>
</template>

<script>
import Login from './login.vue'

export default {
  computed: {
    currentRouteName() {
      return this.$route.name;
    }
  },
  components: {
    Login
  },
  inject: ['headerHeight', 'goToEl','routerButtons', 'linkButtons']
}
</script>

<style scoped>
@media screen and (max-width: 900px) {
  .desktop-bar {
    display: none !important;
  }
}

.desktop-bar {
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
}

.sepLine {
  width: 1px;
  height: 2em;
  background-color: #bbb;
}

.flex-span {
  margin-right: auto;
}

.router-bar, .link-bar {
  user-select: none;
  font-size: 1.2em;
  padding: 0 1em;
  display: flex;
  flex-direction: row-reverse;
}

.desktop-bar-btn {
  cursor: pointer;
  padding: 1em;
  white-space: nowrap;
  color: #333;
  text-decoration: none;
}

.router-bar .desktop-bar-btn:hover {
  color: var(--blue);
}

.link-bar .desktop-bar-btn:hover {
  filter: invert(54%) sepia(93%) saturate(809%) hue-rotate(345deg) brightness(96%) contrast(92%);
}

.popup-link {
  display: flex;
  align-items: center;
}

.popup-link::after {
  content: url(../assets/popup.svg);
  padding-right: .4em;
  padding-top: 5px;
}
</style>